-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Počítač: 127.127.127.127
-- Vytvořeno: Pát 28. úno 2020, 16:22
-- Verze serveru: 10.1.19-MariaDB
-- Verze PHP: 7.1.7

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáze: `agency`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `countries`
--

CREATE TABLE `countries` (
  `Id` int(11) NOT NULL,
  `Name` tinytext CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `Description` text COLLATE utf8_czech_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `countries`
--

INSERT INTO `countries` (`Id`, `Name`, `Description`) VALUES
(1, 'Bulgaria', 'Bulgaria, officially the Republic of Bulgaria, is a country in southeastern Europe. It is bordered by Romania to the north, Serbia and Macedonia to the west, Greece and Turkey to the south, and the Black Sea to the east. With a territory of 110,994 square kilometres (42,855 sq mi), Bulgaria is Europe''s 16th-largest country.'),
(2, 'Czech republic', 'The Czech Republic also known as Czechia is a landlocked nation state in Central Europe bordered by Germany to the west, Austria to the south, Slovakia to the east and Poland to the northeast. The Czech Republic covers an area of 78,866 square kilometres (30,450 sq mi) with a mostly temperate continental climate and oceanic climate. It is a unitary parliamentary republic, has 10.6 million inhabitants and the capital and largest city is Prague, with over 1.2 million residents. The Czech Republic includes the historical territories of Bohemia, Moravia, and Czech Silesia.'),
(4, 'Greece', 'Greece, officially the Hellenic Republic, historically also known as Hellas, is a country in southeastern Europe, with a population of approximately million as of. Athens is the nation''s capital and largest city, followed by Thessaloniki.');

-- --------------------------------------------------------

--
-- Struktura tabulky `destinations`
--

CREATE TABLE `destinations` (
  `Id` int(11) NOT NULL,
  `countryId` int(11) NOT NULL,
  `Name` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Description` text COLLATE utf8_czech_ci,
  `Recommended` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `destinations`
--

INSERT INTO `destinations` (`Id`, `countryId`, `Name`, `Description`, `Recommended`) VALUES
(1, 1, 'Primorsko', 'Primorskois a town and seaside resort in southeastern Bulgaria, part of Burgas Province. A well-known resort on the Bulgarian Black Sea Coast, it is located on a gore 52 km south of Burgas and has a beach strip of about 1 km². The average temperature is 29 °C in July, often reaching 30-33 °C and making Primorsko a favourable place for tourism. Sea temperature in July and August is 27-28 °C. Primorsko enjoys more than 2300 sunshine hours a year, mostly in summertime. The rivers Ropotamo and Dyavolska reka run close to the town. The Ropotamo nature reserve and Snake Island reserve are also nearby.', 1),
(5, 2, 'Prague', 'Prague is the capital and largest city of the Czech Republic. It is the 14th largest city in the European Union. It is also the historical capital of Bohemia. Situated in the north-west of the country on the Vltava river, the city is home to about 1.4 million people, while its larger urban zone is estimated to have a population of 2.2 million. The city has a temperate climate, with warm summers and chilly winters.', 1),
(6, 1, 'Sozopol', 'Sozopol is an ancient seaside town located 35 km south of Burgas on the southern Bulgarian Black Sea Coast. Today it is one of the major seaside resorts in the country, known for the Apollonia art and film festival that is named after one of the town''s ancient names.', 0),
(7, 4, 'Corfu', 'Corfu or Kerkyra is a city and a former municipality on the island of Corfu, Ionian Islands, Greece. Since the 2011 local government reform, it is part of the municipality of Corfu island. It is the capital of the island and of the Corfu regional unit. The city also serves as a capital for the region of the Ionian Islands.', 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `ourstores`
--

CREATE TABLE `ourstores` (
  `Id` int(11) NOT NULL,
  `Name` tinytext COLLATE utf8_czech_ci,
  `StreetName` tinytext COLLATE utf8_czech_ci NOT NULL,
  `StreetNumber` int(11) NOT NULL,
  `City` tinytext COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `ourstores`
--

INSERT INTO `ourstores` (`Id`, `Name`, `StreetName`, `StreetNumber`, `City`) VALUES
(1, 'Central Store', 'Jaselska', 25, 'Prague 6'),
(2, NULL, 'Vaclavske namesti', 1, 'Prague 1');

-- --------------------------------------------------------

--
-- Struktura tabulky `poi`
--

CREATE TABLE `poi` (
  `Id` int(11) NOT NULL,
  `destinationId` int(11) NOT NULL,
  `typeId` int(11) NOT NULL,
  `Name` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Description` text COLLATE utf8_czech_ci NOT NULL,
  `Street` tinytext COLLATE utf8_czech_ci NOT NULL,
  `StreetNumber` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Postcode` int(5) NOT NULL,
  `Latitude` double NOT NULL,
  `Longtitude` double NOT NULL,
  `imageURL` text COLLATE utf8_czech_ci,
  `Recommended` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `poi`
--

INSERT INTO `poi` (`Id`, `destinationId`, `typeId`, `Name`, `Description`, `Street`, `StreetNumber`, `Postcode`, `Latitude`, `Longtitude`, `imageURL`, `Recommended`) VALUES
(1, 5, 1, 'Bruska pharmacy', 'Monday		7:00–19:00\nTuesday		7:00–19:00\nWednesday	7:00–19:00\nThursday	7:00–19:00\nFriday		7:00–19:00\nSaturday	8:00–13:00\n\nE-mail:bruska@mojelekarna.cz\nPhone:+420 233 335 115', 'Mařákova', '252/2', 16000, 50.0979806, 14.4033469, 'pois/lekarnabruska.jpeg', 0),
(5, 5, 1, 'Pharmacy Dejvická', 'Opening hours:\r\nMonday 7:30 AM - 6:30 PM\r\nTuesday 7:30 AM - 6:30 PM\r\nWednesday 7:30 am - 6:30 pm\r\nThursday 7:30 AM - 6:30 PM\r\nFriday 7:30 AM - 6:30 PM\r\nSaturday 8–12\r\nSunday Closed\r\n\r\n\r\nTelephone: (+420) 224 323 786', 'Dejvická', '689/29', 16000, 50.099607, 14.397313, 'pois/dejvickaLekarna.jpeg', 0),
(6, 5, 2, 'University Hospital Motol', 'Opening hours:\r\nMonday Open 24 hours\r\nTuesday Open 24 hours\r\nWednesday Open 24 hours\r\nThursday Open 24 hours\r\nFriday Open 24 hours\r\nSaturday Open 24 hours\r\nSunday Open 24 hours\r\n\r\nTelephone: (+420) 224 431 111', 'V Úvalu', '84', 15006, 50.074187, 14.338596, 'pois/fnmotol.jpg', 1),
(7, 5, 3, 'Czech Post Kafkova', 'Opening hours:\r\nMonday 8–20\r\nTuesday 8–20\r\nWednesday 8–20\r\nThursday 8–20\r\nFriday 8–20\r\nSaturday 9–13\r\nSunday Closed\r\n\r\nTelephone: (+420) 220 312 420', 'Kafkova', '102/19', 16000, 50.099751, 14.396043, 'pois/postakafkova.jpeg', 0),
(8, 5, 4, 'Exchange s.r.o.', 'Opening hours:\r\nMonday 9–20\r\nTuesday 9–20\r\nWednesday 9–20\r\nThursday 9–20\r\nFriday 9–20\r\nSaturday 9–20\r\nSunday 9-20\r\n\r\nTelephone: 00420/800 225 588', 'Kaprova ', '14/13', 11000, 50.088937, 14.418838, 'pois/exchangekaprova.jpg', 1),
(9, 5, 3, 'Czech Post Jindrisska', 'Opening hours:\r\nMonday 02:00 - 24:00\r\nTuesday 02:00 - 24:00\r\nWednesday 02:00 - 24:00\r\nThursday 02:00 - 24:00\r\nFriday 02:00 - 24:00\r\nSaturday 02:00 - 24:00\r\nSunday 02:00 - 24:00\r\n\r\nReceives letters, parcels and vouchers.\r\nReceiving Parcel In Hand.\r\nSaves Package To Mail.\r\nBalíkovna.\r\nNotified parcels are not stored at this post office. Stored consignments (writing) and remittances are issued Mon-Sun 07: 30-20h. The “Packing Room” counter can be used Mon-Sun 07: 30-20h.', 'Jindřišská', '909/14', 11000, 50.083568, 14.42801, 'pois/postaprague1.jpg', 0),
(10, 6, 4, 'Crown Change', '+359 87 766 7005', 'ul. "Apolonia" 37', '37', 8130, 42.425139, 27.696319, 'pois/crownsozopol.jpg', 1),
(11, 1, 4, 'Crown Change', 'Crown Change Ltd. was established in 2002 and has established itself as a leader in the Bulgarian financial market. With over 160 offices across the country, the company is the preferred partner of millions of people in need of services such as currency exchange, sending and receiving international money transfers, checks and payment transactions.\r\n\r\nOver the years, the company has proven itself as a trusted partner to more than 70 travel companies.\r\n\r\nThanks to its exemplary offices, excellent service and well-trained team, it has set a first-class standard in Sofia, Samokov, Bansko, Borovets, Burgas, Sunny Beach, St. Petersburg. Kiten, Tsarevo, Ahtopol, Primorsko and Lozenets.\r\n\r\nCrown Change Ltd. always strives to be as close as possible to its customers and always offers the best exchange rates for buying and selling currency. International and Bulgarian tourists and clients trust the services offered by Crown Change Ltd. for 13 years.\r\n\r\nBecome one of the millions of people who use the services of the biggest exchange chain in Bulgaria!', 'ul. Treti mart', '62', 8180, 42.267471, 27.758468, 'pois/crownprimorsko.jpg', 1),
(12, 1, 3, 'Post Primorsko', 'Post Office is a post office located at ul. 3-ti Mart in Primorsko. ', 'ul. Treti mart', '60', 8180, 42.267369, 27.756156, 'pois/postprimorsko.jpg', 1),
(13, 7, 2, 'Corfu General Clinic', 'Our dedicated team consists of highly trained and experienced doctors who will strive to make your visit as comfortable as it can be. From initial welcome at reception and nurse assessment, we’ll do everything we can to ensure the care and attention you experience with us is extraordinary.', 'Corfu', '50', 49100, 39.623251, 19.907036, 'pois/corfuhospital.png', 0);

-- --------------------------------------------------------

--
-- Struktura tabulky `poitypes`
--

CREATE TABLE `poitypes` (
  `Id` int(11) NOT NULL,
  `Name` text COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `poitypes`
--

INSERT INTO `poitypes` (`Id`, `Name`) VALUES
(1, 'Pharmacy'),
(2, 'Hospital/Doctor'),
(3, 'Post office'),
(4, 'Exchange');

-- --------------------------------------------------------

--
-- Struktura tabulky `restaurants`
--

CREATE TABLE `restaurants` (
  `Id` int(11) NOT NULL,
  `destinationId` int(11) NOT NULL,
  `Name` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Description` text COLLATE utf8_czech_ci NOT NULL,
  `Street` tinytext COLLATE utf8_czech_ci NOT NULL,
  `StreetNumber` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Postcode` int(5) NOT NULL,
  `Latitude` double NOT NULL,
  `Longtitude` double NOT NULL,
  `imageURL` text COLLATE utf8_czech_ci,
  `Recommended` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `restaurants`
--

INSERT INTO `restaurants` (`Id`, `destinationId`, `Name`, `Description`, `Street`, `StreetNumber`, `Postcode`, `Latitude`, `Longtitude`, `imageURL`, `Recommended`) VALUES
(1, 5, 'Restaurant Na Urale', 'Welcome to the website of the restaurant Na Urale. Come to enjoy a pleasant stay with friends, with good food.', 'Uralská', '5', 16000, 50.1025094, 14.4020711, 'restaurants/nase-krasna-hospudka_20170819-144904.jpg', 1),
(3, 1, 'Tavern-Mehana KUKERI', 'KUKERI Mehana is the most incredible place in the hotel complex with, made of wood, stone and metal materials with typical Bulgarian interior, with capacity of over 400 guests. There the guests can taste the authentic Bulgarian cuisine, local dishes of Bansko region, Arabian cuisine, and wild pork NEW! The most popular music formation – “Perun” is already here! Visit us and you will enjoy their great performance. meat. Special Mediterranean Sea food is also available. The Mehana is an ideal place for organizing different types of parties with unlimited space and facilities. Everybody can enjoy here live national and i nternational music accompanied by folk dances.', 'Ropotamo', '32', 81800, 42.2675161, 27.7575969, 'restaurants/kukery.jpg', 1),
(5, 5, 'Dejvická Sokolovna', 'Daily offer until 3 pm. Classic ready-made dishes with larger side dishes, fast dishes, fish and salads. What we cooked for you today can be found in the daily menu.', 'Dejvická', '181/2', 16000, 50.0980847, 14.4047831, 'restaurants/obr2_20170819-143631.jpg', 0),
(6, 5, 'Na Rozhraní', 'The Na Rozhraní restaurant offers Czech, international and vegetarian dishes in its menu. It is possible to organize celebrations, wedding parties, etc. The unique atmosphere of a traditional restaurant will wake you up with a festive atmosphere.', 'Srbská', '286/7', 16000, 50.0991514, 14.4052458, 'restaurants/NaRozhrani1_20170819-144734.jpg', 0),
(7, 5, 'Hong Feng', 'Hong Feng Prague 6; Hong Feng, Dejvice; Check out the menus, reviews ... and meal vouchers accepted (Sodexo, Ticket Restaurant, Check Dejeuner).', 'Bubenečská', '309/6', 16000, 50.098545, 14.4045933, 'restaurants/9f27f3f370e6aa47fca51f42877feffb_1447705045_20170819-144333.jpg', 0),
(8, 5, 'Restaurant U Veverky', 'Typical Old Pilsen pub at the corner of Elijah and Jasel Street in Bubenec. Since 1922, this traditional hospitality has retained a high quality of beer. This is thanks to its cellars and later the tank technology, which has been here since 1996. We can offer ready-made meals every day to Pilsen lager. Thanks to all the guests who visit the restaurant over lunch in a very large number, we can guarantee you the absolute freshness of the food.', 'Eliášova', '324/14', 16000, 50.0990897, 14.4021969, 'restaurants/u-veverky_20171029-145737.jpg', 0),
(9, 5, 'Restaurant Dejvické nádraží', 'It usually flows every day from 9 to 24 hours.', 'Václavkova', '169/1', 16000, 50.0971375, 14.4000006, 'restaurants/restaurace-dejvicke-nadrazi_20171029-150015.jpg', 0),
(10, 6, 'Restaurant Chuchura', 'Traditional Bulgaria restaurant. Everything is tasty. ', 'Ribatska Str.', '10', 8130, 42.4226647, 27.6929086, 'restaurants/place_5685_20171029-150426.jpg', 0),
(11, 6, 'Kirik', 'Traditional sea-food restaurant.', 'Ribarska', '77', 8130, 42.4249939, 27.6944447, 'restaurants/sozopol-kirik_20171029-151044.jpg', 0),
(12, 7, 'Restaurant Anthos', 'Mediterraean Greek Cuisine', 'A. Galina', '17', 49100, 39.625112, 19.921727, 'restaurants/restaurant-anthos_20171029-151944.jpg', 0),
(13, 7, 'En Plo', 'It was 1994 when it opened its doors, on the one side echoing the whistles of the passing ships and the seabirds, on the other side inhaling the sea breeze and looking at all possible shades of blue – from blue-mauve of the sky just before darkness to white-blue of the rough sea. The place is called Faliraki...... It brought to Corfu town a dream place for relaxation – it feels to be coming from the past, its light is gentle and its pace is friendly, it doesn''t belong to the town''s noise, it offers fresh coffee, beer and unique tastes. In the morning, this place is perfect for those who wish to hide away for a little, in the dream landscape that lies before them; here you can enjoy your newspaper or simply daydream overlooking the blue sea, drinking a cup of sweet chocolate or a glass of fresh juice. In the afternoon, especially on sunny days, you just have to sit outdoors, sipping a glass of ouzo or a beer and enjoying a rich plate of delicatessen, meat or fish; this way you can well escape daily routine. Later on, the place puts on its evening gown; it becomes the ideal place to sip a nice drink or a fine wine, and enjoy cold or warm dishes. There''s a fine line delimiting the excitement of the night and the magic and peace of the evening around you... EN PLO knows well how to respect this limit and it is bound not to let you down. EN PLO welcomes us on a magic voyage, any time....', 'St. Nicolaos gate - Faliraki', '1', 49100, 39.627114, 19.925489, 'restaurants/slide4_20171029-152435.jpg', 1),
(14, 7, 'Garitsa Fish Tavern', 'KITCHEN\r\nSeafood, Mediterranean, Greek\r\n\r\nSPECIAL DIETS\r\nVegan Options, Gluten Free Options, Vegetarian Friendly\r\n\r\n+30 2661 031291', 'Alkiviadou Dari', '7', 49100, 39.6108672, 19.9231772, 'restaurants/caption_20171029-152814.jpg', 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `users`
--

CREATE TABLE `users` (
  `Id` int(11) NOT NULL,
  `Active` int(1) NOT NULL DEFAULT '1',
  `Username` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Firstname` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Lastname` tinytext COLLATE utf8_czech_ci NOT NULL,
  `Password` text COLLATE utf8_czech_ci NOT NULL,
  `PasswordSalt` text COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `users`
--

INSERT INTO `users` (`Id`, `Active`, `Username`, `Firstname`, `Lastname`, `Password`, `PasswordSalt`) VALUES
(1, 1, 'administrator', 'Robert', 'Michalek', 'nbAcF4x1KrKOygllFrih9UjpPQLHzgpLknwUa1A9pbs=', 'EH6CNFAGB284B9PT'),
(2, 1, 'a', 'Robert', 'Michalek', '2JABXg4Qeo//FDM/sHgmzA==', '9VS48WW2Q3ZPETMS'),
(3, 1, 'Robert', 'Robert', 'Michalek', 'NeV/bWsdBDSudqi5d2/5ig==', 'NBVUVWSY1H28AFUG');

--
-- Klíče pro exportované tabulky
--

--
-- Klíče pro tabulku `countries`
--
ALTER TABLE `countries`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `destinations`
--
ALTER TABLE `destinations`
  ADD PRIMARY KEY (`Id`),
  ADD KEY `countryId` (`countryId`);

--
-- Klíče pro tabulku `ourstores`
--
ALTER TABLE `ourstores`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `poi`
--
ALTER TABLE `poi`
  ADD PRIMARY KEY (`Id`),
  ADD KEY `destinationId` (`destinationId`),
  ADD KEY `typeId` (`typeId`);

--
-- Klíče pro tabulku `poitypes`
--
ALTER TABLE `poitypes`
  ADD PRIMARY KEY (`Id`);

--
-- Klíče pro tabulku `restaurants`
--
ALTER TABLE `restaurants`
  ADD PRIMARY KEY (`Id`),
  ADD KEY `destinationId` (`destinationId`);

--
-- Klíče pro tabulku `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`Id`);

--
-- AUTO_INCREMENT pro tabulky
--

--
-- AUTO_INCREMENT pro tabulku `countries`
--
ALTER TABLE `countries`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT pro tabulku `destinations`
--
ALTER TABLE `destinations`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT pro tabulku `ourstores`
--
ALTER TABLE `ourstores`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT pro tabulku `poi`
--
ALTER TABLE `poi`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;
--
-- AUTO_INCREMENT pro tabulku `poitypes`
--
ALTER TABLE `poitypes`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT pro tabulku `restaurants`
--
ALTER TABLE `restaurants`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
--
-- AUTO_INCREMENT pro tabulku `users`
--
ALTER TABLE `users`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `destinations`
--
ALTER TABLE `destinations`
  ADD CONSTRAINT `destinations_ibfk_1` FOREIGN KEY (`countryId`) REFERENCES `countries` (`Id`);

--
-- Omezení pro tabulku `poi`
--
ALTER TABLE `poi`
  ADD CONSTRAINT `poi_ibfk_1` FOREIGN KEY (`destinationId`) REFERENCES `destinations` (`Id`),
  ADD CONSTRAINT `poi_ibfk_2` FOREIGN KEY (`typeId`) REFERENCES `poitypes` (`Id`);

--
-- Omezení pro tabulku `restaurants`
--
ALTER TABLE `restaurants`
  ADD CONSTRAINT `restaurants_ibfk_1` FOREIGN KEY (`destinationId`) REFERENCES `destinations` (`Id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
