﻿using System;
using System.Collections.Generic;
using System.Text;
using MobileApp.Model;

namespace MobileApp.ViewModels
{
    public class AboutViewModel : BaseViewModel
    {
        public AboutModel AboutModel { get; set; }
        public AboutViewModel()
        {
            AboutModel = new AboutModel
            {
                Title = "Who are we?",
                Description = "We are a new business team in tourism - we want to help people to enjoy their dream vacation or trip for 200% without any stress. Do you want to try interesting restaurants or just to explore fantastic local interesting places? It is easy with our solution!",
                Section1 = "About solution",
                SectionDescription1 = "The solution is built mainly for travel agencies and companies in tourism field. Whole project contains of some parts - backend for data administration, frontend - website where data is displayed, API interface for data exchange and this mobile application.",
                Section2 = "Backend",
                SectionDescription2 = "Backend part is created mainly for offices. It is a standalone program, which allows to add/edit/delete online data. It is not part of frontend because of security point. Users are connected with database and changes are immediately visible online.",
                Section3 = "Frontend",
                SectionDescription3 = "Frontend part is created for clients. There is no possibility to modify any data, it just shows current information from database. Design is created as a responsive - website is optimized also for mobile phones and ipads (eg. devices with small displays). Users can set their favorite location and results will be queried based on that.",
                Section4 = "API",
                SectionDescription4 = "On a frontend, there is built an API interface. It retrieves data from database in a secure way and then transfers them in proper format (JSON).",
                Section5 = "Mobile application",
                SectionDescription5 = "This mobile application contains of a menu where two main items are available - countries and destinations. Each destination has two types - POIs and restaurants. Each item has got name, address, GPS details, description and image. All data is transfered via created API.",
                Section6 = "Future movements",
                SectionDescription6 = "In the future, the mobile app can be configured to work offline (through caching the data) and also can be integrated with smartphone's GPS locator to see nearby locations."
            };
        }
    }
}
