﻿using System;
using System.Collections.Generic;
using System.Text;
using MobileApp.Model;

namespace MobileApp.ViewModels
{
    public class HomeViewModel : BaseViewModel
    {
        public HomeModel HomeModel { get; set; }
        public HomeViewModel()
        {
            HomeModel = new HomeModel
            {
                Title = "Roberto's Agency System",
                Description = "This application was developed as a part of diploma thesis at the Czech University of Agriculture, Faculty of Business and Economics by Bc. Robert Michálek in 2020. The application displayes data of restaurants and point of interest locations in certain countries and destinations and provides users with information during their dream vacation.",
                Subtitle = "How to work with this application?",
                Content = "Just select from the main menu either the country in which all available destinations are displayed or go directly to the desired destination. Then just choose if you want to find a restaurant or point of interest. The list of places is then displayed and the icon shows the category. Each item contains name, address, GPS location, description and picture."
            };
        }
    }
}
