<?php
include_once "header.php";
?>
<!-- Main -->
<div id="main-wrapper">
    <div class="container">
        <div class="row 200%">
            <div class="4u 12u(medium)">
                <?php
                include_once "sidebar.php";
                ?>
            </div>
            <div class="8u 12u(medium) important(medium)">
                <div id="content">
                    <article>
                        <h2>About Us</h2>
                        <p>We are a new business team in tourism - we want to help people to enjoy their dream vacation or trip for 200% without any stress. Do you want to try interesting restaurants or just to explore fantastic local interesting places? It is easy with our solution!</p>

                        <h3>About solution</h3>
                        <p>The solution is built mainly for travel agencies and companies in tourism field. Whole project contains of some parts - backend for data administration, frontend - website where data is displayed, API interface for data exchange and this mobile application.                        </p>

                        <h4>Backend</h4>
                        <p>Backend part is created mainly for offices. It is a standalone program, which allows to add/edit/delete online data. It is not part of frontend because of security point. Users are connected with database and changes are immediately visible online.</p>
                        
                        <h4>Frontend</h4>
                        <p>Frontend part is created for clients. There is no possibility to modify any data, it just shows current information from database. Design is created as a responsive - website is optimized also for mobile phones and ipads (eg. devices with small displays). Users can set their favorite location and results will be queried based on that.</p>
                        
                        <h4>API</h4>
                        <p>On a frontend, there is built an API interface. It retrieves data from database in a secure way and then transfers them in proper format (JSON).</p>
                        
                        <h4>Mobile application</h4>
                        <p>This mobile application contains of a menu where two main items are available - countries and destinations. Each destination has two types - POIs and restaurants. Each item has got name, address, GPS details, description and image. All data is transfered via created API.</p>
                        
                        <h3>Future movements</h3>
                        <p>In the future, the mobile app can be configured to work offline (through caching the data) and also can be integrated with smartphone's GPS locator to see nearby locations.</p>
                    </article>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
include_once "footer.php";
?>