<!-- Footer -->
<div id="footer-wrapper">
    <footer id="footer" class="container">
        <div class="row">
            <div class="3u 6u(medium) 12u(small)">

                <!-- Links -->
                <section class="widget links">
                    <h3>Navigation</h3>
                    <ul class="style2">
                        <li><a href="<?php echo Init::HOMEURL; ?>"title="Hompage">Home</a></li>
                        <li><a href="<?php echo Init::HOMEURL; ?>about"title="About us page">About us</a></li>
                        <li><a href="<?php echo Init::HOMEURL; ?>countries" title="Countries page">Countries</a></li>
                        <li><a href="<?php echo Init::HOMEURL; ?>restaurants" title="Restaurants page">Restaurants</a></li>
                        <li><a href="<?php echo Init::HOMEURL; ?>contact"title="Contact us page">Contact us</a></li>
                    </ul>
                </section>

            </div>
            <div class="3u 6u(medium) 12u(small)">

                <!-- Links -->
                <section class="widget links">
                    <h3>Top destinations</h3>
                    <ul>
                    <?php
                    $db = new Db();
                    $rows = $db->select("SELECT `Id`,`Name` FROM `destinations` WHERE Recommended=1 ORDER BY name ASC LIMIT 5");
                    ?>

                    <?php
                    foreach ($rows as $row) {
                        echo "<li><a href='".Init::HOMEURL."destination/" . filter_var($row['Id'],FILTER_SANITIZE_NUMBER_INT) . "'>" . filter_var($row['Name'],FILTER_SANITIZE_STRING) . '</a></li>';
                    }
                    ?>
                    </ul>
                </section>

            </div>
            <div class="3u 6u(medium) 12u(small)">

                <!--                 Links 
                                <section class="widget links">
                                    <h3>Useful</h3>
                                    <ul class="style2">
                                        <li><a href="#">Documents</a></li>
                                        <li><a href="#">Our branches</a></li>
                                        <li><a href="#">Sed porttitor cras in erat nec</a></li>
                                        <li><a href="#">Felis varius pellentesque potenti</a></li>
                                        <li><a href="#">Nullam scelerisque blandit leo</a></li>
                                    </ul>
                                </section>-->

            </div>
            <div class="3u 6u(medium) 12u(small)">

                <!-- Contact -->
                <section class="widget contact last">
                    <h3>Contact Us</h3>
                    <ul>
                        <li><a href="#" class="icon fa-twitter" title="External link - our twitter"><span class="label">Twitter</span></a></li>
                        <li><a href="#" class="icon fa-facebook" title="External link - our facebook"><span class="label">Facebook</span></a></li>
                        <li><a href="#" class="icon fa-instagram" title="External link - our instagram"><span class="label">Instagram</span></a></li>
                        <li><a href="#" class="icon fa-dribbble" title="External link - our dribble"><span class="label">Dribbble</span></a></li>
                        <li><a href="#" class="icon fa-pinterest" title="External link - our pinterest"><span class="label">Pinterest</span></a></li>
                    </ul>
                    <p>Bc. Robert Michálek<br />
                        Prague 6, Czech Republic<br />
                        160 00</p>
                </section>

            </div>
        </div>
        <div class="row">
            <div class="12u">
                <div id="copyright">
                    <ul class="menu">
                        <li><?php echo date('Y'); ?> &copy; All-Computer.cz; All rights reserved</li>
                    </ul>
                </div>
            </div>
        </div>
    </footer>
</div>

</div>
<!-- Scripts -->

<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/jquery.dropotron.min.js"></script>
<script src="assets/js/skel.min.js"></script>
<script src="assets/js/util.min.js"></script>
<!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
<script src="assets/js/main.min.js"></script>

</body>
</html>